%define module_name Mojolicious-Plugin-CachePurge
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Mojolicious.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt2
Summary: Mojolicious Plugin to purge content from front end HTTP cache
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SS/SSM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::CachePurge manpage is a the Mojolicious manpage plugin to send
cache invalidation requests to a web application accelerator like
the Varnish manpage, or any other front end HTTP cache supporting PURGE
requests.

Cache invalidation requests are non blocking.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/M*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt2
- updated summary

* Tue Jun 03 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

